# Remember to change this string or else will the build fail
# bm -p
# ls -l BUILD
%define gitcommit 78313502d3b26c217f5583a23ef571bc9e0edc45

Name:           tint2
Version:        16.7
Release:        %mkrel 2
Summary:        A Lightweight Panel and Taskbar
License:        GPLv2
Group:          Graphical desktop/Other
Url:            https://gitlab.com/o9000/tint2
Source0:        https://gitlab.com/o9000/tint2/repository/%{version}/archive.tar.bz2#/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(x11)

%description
Tint2 is a simple panel and taskbar intentionally made for
openbox3, but should also work with other window managers. The
goal is to keep a clean and unintrusive look with code
lightweight and compliance with freedesktop specifications.

%prep
%setup -qn %{name}-%{version}-%{gitcommit}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang tint2conf

rm -rf %{buildroot}%{_docdir}/%{name}/html/

%files -f tint2conf.lang
%doc AUTHORS README.md ChangeLog doc/images/
%doc doc/manual.html doc/readme.html doc/tint2.md
%license COPYING
%dir %{_sysconfdir}/xdg/tint2
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2*
%{_datadir}/tint2/
%{_datadir}/applications/tint2*.desktop
%{_datadir}/mime/packages/tint2*.xml
%{_iconsdir}/hicolor/scalable/*/tint2*.svg
%{_mandir}/man1/*


%changelog
* Sun Feb 16 2020 daviddavid <daviddavid> 16.7-2.mga8
+ Revision: 1529897
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Jul 15 2019 kekepower <kekepower> 16.7-1.mga8
+ Revision: 1421746
- Update to version 16.7

* Sun Sep 23 2018 umeabot <umeabot> 16.6.1-2.mga7
+ Revision: 1301415
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 kekepower <kekepower> 16.6.1-1.mga7
+ Revision: 1250210
- Update to version 16.6.1

* Fri May 04 2018 kekepower <kekepower> 16.4-1.mga7
+ Revision: 1226116
- Update to version 16.4

* Tue Feb 06 2018 kekepower <kekepower> 16.2-1.mga7
+ Revision: 1199239
- Update to version 16.2

* Fri Jan 12 2018 kekepower <kekepower> 16.1-1.mga7
+ Revision: 1192453
- Update to version 16.1
- Update to version 16.1

* Thu Nov 23 2017 shlomif <shlomif> 15.3-1.mga7
+ Revision: 1179021
- New version 15.3 (thanks to kekePower)

* Sat Jul 22 2017 daviddavid <daviddavid> 0.14.6-1.mga7
+ Revision: 1127911
- new version: 0.14.6

* Sun Mar 05 2017 daviddavid <daviddavid> 0.13-1.mga6
+ Revision: 1088805
- new version: 0.13

* Mon Feb 06 2017 daviddavid <daviddavid> 0.12.12-1.mga6
+ Revision: 1085051
- new version: 0.12.12
- update URL and Source URL
- switch BRs to pkgconfig()

* Thu Feb 04 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 934184
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 743538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 689893
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 519635
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 384585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 01 2012 hman <hman> 0.11-2.mga2
+ Revision: 203748
- updated build requires with libgtk+2.0-devel
- imported package tint2

